/* Peter Schaeffer */
#include <stdio.h>
#include <string.h>

FILE *in;

int T;
char s[10000];
int b[10000], l, d;

int jump(int pos, int depp)
{
  if (depp>d) d=depp;
  b[pos]=depp;
  if (s[pos]>='a') return pos-1;
  return jump(jump(pos-1, depp+1), depp+1);
}

int main()
{
  in=stdin;
  fscanf(in, " %d ", &T);
  for(int t=0; t<T; t++)
    {
      fscanf(in, " %s ", s);
      l=strlen(s);
      d=0;
      jump(l-1, 0);
      for(int i=d; i>=0; i--)
	for(int j=l-1; j>=0; j--)
	  if (i==b[j]) printf("%c", s[j]);
      printf("\n");
    }
  return 0;
}
